# ``twisted`.`mail`.`relay`.`DomainQueuer``

class documentation

`class DomainQueuer: (source)`

View In Hierarchy

An SMTP domain which add messages to a queue intended for relaying.

Method | `__init__` | Undocumented
Method | `exists` | Check whether mail can be relayed to a user.
Method | `startMessage` | Create an envelope and a message receiver for the relay queue.
Method | `willRelay` | Check whether we agree to relay.
Instance Variable | `authed` | Undocumented
Instance Variable | `service` | Undocumented

def __init__(self, service, authenticated=False): (source)

Undocumented

def exists(self, user): (source)
Check whether mail can be relayed to a user.

Parameters
user:`User` | A user.
Returns
no-argument callable which returns `IMessage` provider | A function which takes no arguments and returns a message receiver for the user.
Raises
`SMTPBadRcpt` | When mail cannot be relayed to the user.

def startMessage(self, user): (source)
Create an envelope and a message receiver for the relay queue.

Parameters
user:`User` | A user.
Returns
`IMessage` | A message receiver.

def willRelay(self, address, protocol): (source)

Check whether we agree to relay.

The default is to relay for all connections over UNIX sockets and all connections from localhost.

authed = (source)

Undocumented

service = (source)

Undocumented